DBusServer implementations for UNIX
D-Bus secret internal implementation details

Implementation details of DBusServer on UNIX. More...

## Functions

DBusServerListenResult | _dbus_server_listen_platform_specific (DBusAddressEntry *entry, DBusServer **server_p, DBusError *error)
| Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

## Detailed Description

Implementation details of DBusServer on UNIX.

## Function Documentation

## _dbus_server_listen_platform_specific()

DBusServerListenResult _dbus_server_listen_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusServer ** | server_p,
|  | DBusError * | error )

Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

Sets error if the result is not OK.

Parameters

  entry | an address entry
  server_p | location to store a new DBusServer, or NULL on failure.
  error | location to store rationale for failure on bad address

Returns
  the outcome

Definition at line 55 of file dbus-server-unix.c.